/* Visuschni Revision 2
- Modifizierte Abfrage der geschaltenen Eingnge
- Bitweise setzen der Ausgnge
- Einfachere, gut lesbare UART-Befehle

Ersteller: Markus Bauer
Datum: 31.8.2010	*/


//UART definieren
#ifndef F_CPU
#define F_CPU 16000000UL
#endif
#define UART_BAUD_RATE 38400

//Includes
#include <stdlib.h>
#include <string.h>
#include <avr/io.h>
#include <avr/interrupt.h>

#include <util/delay.h>

#include "uart.h"
#include <avr/pgmspace.h>


#include "easyport.h"
#include "adapter.h"
#include "ports.h"
#include "uart_get_l.h"





//MAIN
int main (void) {

//Register setzen
DDRA = 0x00;
DDRC = 0xFF;
DDRD = 0x0F;
DDRE = 0x1C;
PORTE = 0x1C;

//Variablen deklariern

char input[15];


//UART aktivieren
uart_init ( UART_BAUD_SELECT (UART_BAUD_RATE, F_CPU) );
sei();

PORTE &= ~LED3;
//Gert am Netz, LED3 an

_delay_ms(1000);

PORTE &= ~LED1;
//Gert nicht mit PC verbunden, LED1 (rot) an



//main-while
while(1)
{

uart_get_line( input, sizeof(input) );

if( strncmp(input, "PC_OK", 5) == 0 )
		{
			_delay_ms(100);
			uart_puts("OK");
			PORTE |= LED1;
			PORTE &= ~LED2;
			adapter();
		}

if (strncmp(input, "setup0",6) == 0)
		{
			uart_puts("setup1\r");
			PORTE &= ~LED2;
			easyport();
		}


}  //main-while


return 0;
}	//main-Ende 
